<?php

// Header Nav
function dw_cybex_hnav( $wp_customize ) {
	$wp_customize->add_section(
		'dw-cybex-hnav-section',
		array(
			'title'    => esc_html__( 'Header Navigation', 'dw-cybex' ),
			'priority' => '82',
		)
	);

	//Show /Hide Nav Bar
	$wp_customize->add_control(
		'labels-hn',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Display Navigation?', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw-cybex-hnav-section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);

	$wp_customize->add_setting(
		'dw-cybex-hnav-linkname1',
		array(
			'default'           => esc_html__( 'Link 1', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-hnav-control-linkname1',
			array(
				'label'       => esc_html__( 'Link 1 Name:', 'dw-cybex' ),
				'section'     => 'dw-cybex-hnav-section',
				'description' => esc_html__( 'The visible name of the link on the button.', 'dw-cybex' ),
				'settings'    => 'dw-cybex-hnav-linkname1',
				'type'        => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'dw-cybex-hnav-link1',
		array(
			'default'           => esc_html__( 'http://', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);


	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-hnav-control-link1',
			array(
				'label'       => esc_html__( 'Link 1 Address:', 'dw-cybex' ),
				'section'     => 'dw-cybex-hnav-section',
				'description' => esc_html__( 'You can use /address to point to a directory, or just put a full link including http://', 'dw-cybex' ),
				'settings'    => 'dw-cybex-hnav-link1',
				'type'        => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'dw-cybex-hnav-linkname2',
		array(
			'default'           => esc_html__( 'Link 2', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-hnav-control-linkname2',
			array(
				'label'    => esc_html__( 'Link 2 Name:', 'dw-cybex' ),
				'section'  => 'dw-cybex-hnav-section',
				'settings' => 'dw-cybex-hnav-linkname2',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'dw-cybex-hnav-link2',
		array(
			'default'           => esc_html__( 'http://', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-hnav-control-link2',
			array(
				'label'    => esc_html__( 'Link 2 Address:', 'dw-cybex' ),
				'section'  => 'dw-cybex-hnav-section',
				'settings' => 'dw-cybex-hnav-link2',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'dw-cybex-hnav-linkname3',
		array(
			'default'           => esc_html__( 'Link 3', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-hnav-control-linkname3',
			array(
				'label'    => esc_html__( 'Link 3 Name:', 'dw-cybex' ),
				'section'  => 'dw-cybex-hnav-section',
				'settings' => 'dw-cybex-hnav-linkname3',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'dw-cybex-hnav-link3',
		array(
			'default'           => esc_html__( 'http://', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-hnav-control-link3',
			array(
				'label'    => esc_html__( 'Link 3 Address:', 'dw-cybex' ),
				'section'  => 'dw-cybex-hnav-section',
				'settings' => 'dw-cybex-hnav-link3',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'dw-cybex-hnav-linkname4',
		array(
			'default'           => esc_html__( 'Link 4', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);


	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-hnav-control-linkname4',
			array(
				'label'    => esc_html__( 'Link 4 Name:', 'dw-cybex' ),
				'section'  => 'dw-cybex-hnav-section',
				'settings' => 'dw-cybex-hnav-linkname4',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'dw-cybex-hnav-link4',
		array(
			'default'           => esc_html__( 'http://', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-hnav-control-link4',
			array(
				'label'    => esc_html__( 'Link 4 Address:', 'dw-cybex' ),
				'section'  => 'dw-cybex-hnav-section',
				'settings' => 'dw-cybex-hnav-link4',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'dw-cybex-hnav-linkname5',
		array(
			'default'           => esc_html__( 'Link 5', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);


	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-hnav-control-linkname5',
			array(
				'label'    => esc_html__( 'Link 5 Name:', 'dw-cybex' ),
				'section'  => 'dw-cybex-hnav-section',
				'settings' => 'dw-cybex-hnav-linkname5',
				'type'     => 'text',
			)
		)
	);

	$wp_customize->add_setting(
		'dw-cybex-hnav-link5',
		array(
			'default'           => esc_html__( 'http://', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-hnav-control-link5',
			array(
				'label'    => esc_html__( 'Link 5 Address:', 'dw-cybex' ),
				'section'  => 'dw-cybex-hnav-section',
				'settings' => 'dw-cybex-hnav-link5',
				'type'     => 'text',
			)
		)
	);
}
add_action( 'customize_register', 'dw_cybex_hnav' );
